/* -*- Mode: C++ -*-
 * $Id: MarkPlayer.cc,v 1.3 2001/09/29 18:55:21 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: MarkPlayer.cc
 * Unitname: Framework/skill
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-09-07
 * Last modified by $Author: frehe $ $Date: 2001/09/29 18:55:21 $
 *
 *
 * HISTORY
 *
 * $Log: MarkPlayer.cc,v $
 * Revision 1.3  2001/09/29 18:55:21  frehe
 * Removed TRUE, FALSE, and UNKNOWN.
 *
 * Revision 1.2  2001/09/26 11:41:26  frehe
 * Update after move of TRUE, FALSE and UNKNOWN to inside FuzzyBool.
 *
 * Revision 1.1  2001/09/20 15:03:01  aip2
 * Added MarKPlayer
 *
 * Revision 1.4  2001/09/06 13:13:39  andbo928
 * Added class specifier to a lot of methods. Added succeed and failed methods to cc file.
 *
 * Revision 1.3  2000/09/16 18:39:39  frehe
 * Fixed the log messages.
 *
 * Revision 1.2  2000/09/16 18:36:48  frehe
 * Made minor fixes the skill stubs.
 *
 * Revision 1.1  2000/09/07 16:10:34  frehe
 * Added stubs for the skills.
 *
 */

/**
 * @file MarkPlayer.cc
 * Implementation file for the skill class MarkPlayer.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2001/09/29 18:55:21 $
 */


#include "MarkPlayer.h"
#include "DashCommand.h"

RS_BEGIN_NAMESPACE


// --- CONSTRUCTORS ---

MarkPlayer::MarkPlayer(const Float spd)
  // This is an initializer list
  // which means that all the objects inside the
  // class can be initialized after the colon.
  // You initialize the variable myVar with
  // myVar(constructor arguments).
  // You should also initialize the base classes, but
  // only the classes that you directly inherit from.
  // If you do not initialize a variable its default
  // constructor will be called.
  : SkillWithSpeed(spd)
{
  
}


// --- DESTRUCTOR ---

MarkPlayer::~MarkPlayer()
{
}


// --- METHODS ---

Plan MarkPlayer::generatePlan()
{
  static Command* cmd;
  static Plan plan;
  plan.makeEmpty();
  cmd = new DashCommand(50);

  plan.addStep(cmd);
  delete cmd;
  cmd = NULL;

  return plan;
}


FuzzyBool MarkPlayer::persistent()
{
  // Never persistent.
  return FuzzyBool(0.0);
}


FuzzyBool MarkPlayer::applicable()
{
  
  // Allways applicable.
  
  //return FuzzyBool(1.0);
}

FuzzyBool MarkPlayer::succeed()
{
  // Always succedes.
  return FuzzyBool(1.0);
}

FuzzyBool MarkPlayer::failed()
{
  // Never fails.
  return FuzzyBool(0.0);
}



RS_END_NAMESPACE


// Remove from here
/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "MarkPlayer.icc"
#endif
// To here if you do not have any inline definitions!
