/* -*- Mode: C++ -*-
 * $Id: TAngle.cc,v 1.1 2001/09/18 20:36:27 andbo928 Exp $
 *
 * IDENTIFICATION
 *
 * Filename: WorldStateView.cc
 * Unitname: Framework/view
 * $Revision: 1.1 $
 * Created by: Mikael Brnnstrm, Andreas Sigfridsson, Andreas Bckert
 * Last modified by $Author: andbo928 $ $Date: 2001/09/18 20:36:27 $
 *
 *
 * HISTORY
 *
 * $Log: TAngle.cc,v $
 * Revision 1.1  2001/09/18 20:36:27  andbo928
 * Imported from FuzzyFoo source.
 *
 * Revision 1.2  2001/06/05 20:33:53  mikbr212
 * Fixed doxygen-stubs for all classes
 *
 * Revision 1.1  2001/04/15 12:12:28  andbo928
 * Added TAngle.
 *
 * Revision 1.14  2001/04/14 08:40:00  mikbr212
 * removed warnings
 *
 * Revision 1.13  2001/04/13 17:33:33  mikbr212
 * added +=, -=, *=, /=
 *
 * Revision 1.12  2001/04/13 08:16:47  andbo928
 * Removed DOS-style returns.
 *
 * Revision 1.11  2001/04/12 16:02:33  mikbr212
 * Added icc and static stuff
 *
 *
 */

/**
 * @file TAngle.cc
 * Implementation file for the class TAngle.
 *
 * $Revision: 1.1 $
 * $Author: andbo928 $
 * $Date: 2001/09/18 20:36:27 $
 */

#include <math.h>
#include "TAngle.h"
#include <iostream>


RS_BEGIN_NAMESPACE

double TAngle::degToRad(const double deg)
{
    return M_PI * deg / 180.0;
}
double TAngle::radToDeg(const double rad)
{
  return 180.0 * rad / M_PI;
}

RS_END_NAMESPACE

/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "TAngle.icc"
#endif

